## python-influxdb-client 1.40.0

=== Makefile ===
.PHONY: all
all: help

.PHONY: clean
clean:
	rm -f .coverage coverage.xml writer.pickle
	rm -rf .pytest_cache build dist htmlcov test-reports docs/_build

.PHONY: docs
docs:
	cd docs && python -m sphinx -T -E -b html -d _build/doctrees -D language=en . _build/html

.PHONY: help
help:
	@echo 'Makefile Targets'
	@echo '  clean      clean up local files'
	@echo '  docs       build docs locally'
	@echo '  help       print this help output'
	@echo '  install    install library as editable with all dependencies'
	@echo '  lint       execute flake8 against source code'
	@echo '  test       execute all tests'

.PHONY: install
install:
	pip install --editable ".[test,extra,ciso,async]"

.PHONY: lint
lint:
	flake8 setup.py influxdb_client/

.PHONY: test
test:
	pytest tests \
		--cov=./ \
		--cov-report html:htmlcov \
		--cov-report xml:coverage.xml

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = influxdb_client
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
sphinx>=5.0.0
sphinx_rtd_theme==1.3.0

=== debian/changelog ===
python-influxdb-client (1.40.0-3) unstable; urgency=medium

  * Removed build-depends on python3-randomize.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 May 2024 08:38:12 +0200

python-influxdb-client (1.40.0-2) unstable; urgency=medium

  * Replaced (build-)depends of python3-reactivex by python3-rx.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 10:20:06 +0200

python-influxdb-client (1.40.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1066087)

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Mar 2024 13:37:23 +0100

=== debian/control ===
Source: python-influxdb-client
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-aioresponses,
 python3-certifi,
 python3-dateutil,
 python3-httpretty,
 python3-jinja2,
 python3-pandas,
 python3-pluggy,
 python3-psutil,
 python3-py,
 python3-pytest,
 python3-pytest-timeout,
 python3-rx,
 python3-sphinx-rtd-theme,
 python3-urllib3,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-influxdb-client
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-influxdb-client.git
Homepage: https://github.com/influxdata/influxdb-client-python

Package: python3-influxdb-client
Architecture: all
Depends:
 python3-certifi,
 python3-dateutil,
 python3-pandas,
 python3-rx,
 python3-urllib3,
 ${misc:Depends},
 ${python3:Depends},
Description: InfluxDB 2.0 Python client library
 Client library for use with InfluxDB 2.x and Flux. InfluxDB 3.x users should
 instead use the lightweight v3 client library (influxdb3-python). InfluxDB 1.x
 users should use the v1 client library (influxdb-python). For ease of
 migration and a consistent query and write experience, v2 users should
 consider using InfluxQL and the v1 client library (influxdb-python).
 .
 The API of the influxdb-client is not the backwards-compatible with the old
 one influxdb-python.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/influxdata/influxdb-client.git
include /usr/share/openstack-pkg-tools/pkgos.make

PYBUILD_NAME=influxdb-client

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done


override_dh_auto_test:
	echo "no test for now"
	# For anyone reading this: I packaged this for cloudkitty to be able
	# to pass its unit tests, though many tests are failing in this package
	# and need to be fixed. Please be my guess and fix them.
#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	set -e ; for pyvers in $(PYTHON3S); do \
#		python$$pyvers -m pytest tests -v -k 'not InfluxDBClientAsyncTest and not TestLabelsApi' ; \
#	done
#endif

override_dh_python3:
	dh_python3 --no-guessing-deps

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/influxdb-client/influxdb-client-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
